Bug 112323 - Category list should be sorted alphabetically in Customize dialog
Summary: Category list should be sorted alphabetically in Customize dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Muhammet Kara
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Customize-Dialog
  Show dependency treegraph
 
Reported: 2017-09-11 07:20 UTC by Tor Lillqvist
Modified: 2018-04-21 05:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2017-09-11 07:20:40 UTC Comment hidden (obsolete)
Comment 1 Jacques Guilleron 2017-09-11 14:30:51 UTC
Hi Tor,

reproduced with
LO 6.0.0.0.alpha0+ Build ID: ffeb750163909e15ee0dd2d16f8030bf08e66eae
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-09-11_06:33:01
Locale: fr-FR (fr_FR); Calc: CL
Comment 2 Jacques Guilleron 2017-09-11 14:41:08 UTC
The same for "All categories" in "Toolbars" and "Context Menus" Tabs.
Comment 3 Yousuf Philips (jay) (retired) 2017-09-24 13:11:20 UTC
I mentioned to Muhammat on telegram that it should be sorted like so

All Categories
- separator -
[alphabetic list]
- separator -
Macros
Styles
Comment 4 Commit Notification 2018-04-20 18:54:00 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9c52f55f0cc7155d6883e4d2abf14f1638b03b3

towards solving tdf#112323: Allow multiple separators in listboxes

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-04-21 05:40:40 UTC
Muhammet Kara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e82eeca67688a809317a0edeecf7d7b3fdf3a216

tdf#112323: Sort the category list alphabetically in the Customize dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.